<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>HelpOnAdmonitions</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">HelpOnAdmonitions</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="en"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><span class="anchor" id="line-4"></span><span class="anchor" id="line-5"></span><span class="anchor" id="line-6"></span><span class="anchor" id="line-7"></span><span class="anchor" id="line-8"></span><span class="anchor" id="line-9"></span><p class="line874">Admonitions are used to make some text stand out or to point out something which doesn't fit in the normal flow of the text.  <span class="anchor" id="line-10"></span><span class="anchor" id="line-11"></span><p class="line874">There are five different admonitions currently supported by the Modern theme. They are warning, caution, important, note and tip. Below is an example of the caution admonition. <span class="anchor" id="line-12"></span><span class="anchor" id="line-13"></span><p class="line867"><span class="anchor" id="line-14"></span><span class="anchor" id="line-15"></span><span class="anchor" id="line-16"></span><span class="anchor" id="line-17"></span><span class="anchor" id="line-18"></span><span class="anchor" id="line-19"></span><pre><span class="anchor" id="line-1"></span>{{{#!wiki caution
<span class="anchor" id="line-2"></span>'''Don't overuse admonitions'''
<span class="anchor" id="line-3"></span>
<span class="anchor" id="line-4"></span>Admonitions should be used with care. A page riddled with admonitions will look restless and will be harder to follow then a page where admonitions are used sparingly.
<span class="anchor" id="line-5"></span>}}}</pre><span class="anchor" id="line-20"></span><span class="anchor" id="line-21"></span><p class="line867"><span class="anchor" id="line-22"></span><span class="anchor" id="line-23"></span><span class="anchor" id="line-24"></span><span class="anchor" id="line-25"></span><div class="caution"><span class="anchor" id="line-1-1"></span><p class="line867"><strong>Don't overuse admonitions</strong> <span class="anchor" id="line-2-1"></span><span class="anchor" id="line-3-1"></span><p class="line874">Admonitions should be used with care. A page riddled with admonitions will look restless and will be harder to follow then a page where admonitions are used sparingly. </div><span class="anchor" id="line-26"></span><span class="anchor" id="line-27"></span><p class="line874">The other admonition styles are: <span class="anchor" id="line-28"></span><span class="anchor" id="line-29"></span><span class="anchor" id="line-30"></span><span class="anchor" id="line-31"></span><span class="anchor" id="line-32"></span><div class="warning"><span class="anchor" id="line-1-2"></span><p class="line867"><strong>Warning</strong> <span class="anchor" id="line-2-2"></span><span class="anchor" id="line-3-2"></span><p class="line874">Use warnings when there is a risk of bodily harm or dataloss. </div><span class="anchor" id="line-33"></span><span class="anchor" id="line-34"></span><p class="line867"><span class="anchor" id="line-35"></span><span class="anchor" id="line-36"></span><span class="anchor" id="line-37"></span><span class="anchor" id="line-38"></span><div class="important"><span class="anchor" id="line-1-3"></span><p class="line867"><strong>Important</strong> <span class="anchor" id="line-2-3"></span><span class="anchor" id="line-3-3"></span><p class="line874">Remember that in the new wiki-syntax the terminating }}} need to be on a separate line. </div><span class="anchor" id="line-39"></span><span class="anchor" id="line-40"></span><p class="line867"><span class="anchor" id="line-41"></span><span class="anchor" id="line-42"></span><span class="anchor" id="line-43"></span><span class="anchor" id="line-44"></span><div class="note"><span class="anchor" id="line-1-4"></span><p class="line867"><strong>Note</strong> <span class="anchor" id="line-2-4"></span><span class="anchor" id="line-3-4"></span><p class="line862">You can use normal <em>markup</em> and <a href="./HelpOnAdmonitions.html">links</a> in the admonition. </div><span class="anchor" id="line-45"></span><span class="anchor" id="line-46"></span><p class="line867"><span class="anchor" id="line-47"></span><span class="anchor" id="line-48"></span><span class="anchor" id="line-49"></span><span class="anchor" id="line-50"></span><div class="tip"><span class="anchor" id="line-1-5"></span><p class="line867"><strong>Tip</strong> <span class="anchor" id="line-2-5"></span><span class="anchor" id="line-3-5"></span><p class="line874">For syntax examples, please read the raw source markup of this page. </div><span class="anchor" id="line-51"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:22
</body>
</html>
